#!/usr/bin/php
<?php
  // Ce programme se charge d'envoyer les alertes a Vigie en utilisant la
  // librairie PHP

  // Prend des parametres :
  // 1 : Le message audio a envoyer
  // 2 : Le message audio inverse pour nettoyer les tampons quand tout va bien
  error_reporting (E_ALL);

  $conf = [];
  $conf["loggerFile"] = "/var/log/alerte.log";
  require ("cric-alerte/fonction-alerte.php");
  //require ("fonction-alerte.php");

  function help ()
  {
    echo "Paramètres incorrects :\n";
    echo "usage : alerte.php \"Alerte audio\" ";
    echo "[\"Message inverse pour nettoyage\"]\n";
    exit;
  }
  if (!isset ($argv[1]))
    help();
  if ($argc > 3)
    help();

  $audio = $argv[1];
  if (isset ($argv[2]))
    $finAudio = $argv[2];
  else
    $finAudio = "";
  echo alerte ($audio, $finAudio);
